﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_TABLECOL') 
 CREATE TABLE T_FGPTAS_TABLECOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_TABLECOL_ENTRY') 
 CREATE TABLE T_FGPTAS_TABLECOL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESETMAP CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_TABLECOL_L') 
 CREATE TABLE T_FGPTAS_TABLECOL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORTTEMPL') 
 CREATE TABLE T_FGPTAS_REPORTTEMPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '7' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FREPORTTYPE BIGINT DEFAULT 0 NOT NULL,
FLANMODEL VARCHAR(15) DEFAULT ' ' NOT NULL,
FMODELTYPE VARCHAR(15) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCOVERCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORTTEMPL_L') 
 CREATE TABLE T_FGPTAS_REPORTTEMPL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_DATAREQUIRE') 
 CREATE TABLE T_FGPTAS_DATAREQUIRE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_OUTLINE') 
 CREATE TABLE T_FGPTAS_OUTLINE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FOUTLINENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTLINENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTLINELEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FBACKGROUNDPROMPT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCONTENTPROMPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENTPROMPT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTA_DATASOURCE') 
 CREATE TABLE T_FGPTA_DATASOURCE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATATABLE VARCHAR(36) DEFAULT ' ' NOT NULL,
FDATAPROP VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAPROPNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTERVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTERVALUE_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT') 
 CREATE TABLE T_FGPTAS_REPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENTITY BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FPERIODZONE VARCHAR(15) DEFAULT ' ' NOT NULL,
FYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODEL BIGINT DEFAULT 0 NOT NULL,
FURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPERIOD_STARTDATE DATETIME,
FPERIOD_ENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_GPTLOG') 
 CREATE TABLE T_FGPTAS_REPORT_GPTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FWORDID BIGINT DEFAULT 0 NOT NULL,
FDOCID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSEQUENCE BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FGPTNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FGPTTASKID VARCHAR(200) DEFAULT ' ' NOT NULL,
FGPTSTATUS BIGINT DEFAULT 0 NOT NULL,
FGPTINPUTJSON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FGPTRESULTJSON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_L') 
 CREATE TABLE T_FGPTAS_REPORT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_TYPE') 
 CREATE TABLE T_FGPTAS_REPORT_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_TYPE_L') 
 CREATE TABLE T_FGPTAS_REPORT_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_WPSFILE') 
 CREATE TABLE T_FGPTAS_REPORT_WPSFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FFILESIZE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FDOWNLOADURL VARCHAR(2000) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDOCID VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERPERMISSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOKEN VARCHAR(2000) DEFAULT ' ' NOT NULL,
FREPORTID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_REPORT_WPSFILE_L') 
 CREATE TABLE T_FGPTAS_REPORT_WPSFILE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
