﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_AUDIT') 
 CREATE TABLE T_FGPTAS_AUDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FGAIREPO BIGINT DEFAULT 0 NOT NULL,
FENTITYID BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FRUNTIMESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONFIGTIME DATETIME,
FELEMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FOUTPUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTPUT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_ELEMENT') 
 CREATE TABLE T_FGPTAS_ELEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FELEMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRULE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRULEBE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_AUDITCONF') 
 CREATE TABLE T_FGPTAS_AUDITCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROMPT BIGINT DEFAULT 0 NOT NULL,
FPROCESS BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FATTACHKEY VARCHAR(25) DEFAULT 'attachmentpanel' NOT NULL,
FINDEXMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNOKEY VARCHAR(25) DEFAULT 'billno' NOT NULL,
FEMBBEDINGTIMEOUT BIGINT DEFAULT 20000 NOT NULL,
FFGPTASUSER BIGINT DEFAULT 0 NOT NULL,
FUSERKEY NVARCHAR(25) DEFAULT ' ' NOT NULL,
FUSERKEYFIELD VARCHAR(25) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_AUDITCONF_L') 
 CREATE TABLE T_FGPTAS_AUDITCONF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
